petsc-3.12.4 2020-02-04
Report Typos and Errors

# DMPlexGetAnchors

Get the layout of the anchor (point-to-point) constraints. Typically, the user will not have to call DMPlexGetAnchors() directly: if there are anchors, then DMPlexGetAnchors() is called during DMGetConstraints().

### Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexGetAnchors(DM dm, PetscSection *anchorSection, IS *anchorIS)

not collective

### Input Parameters

dm -The DMPlex object

### Output Parameters

| anchorSection | - If not NULL, set to the section describing which points anchor the constrained points.
| anchorIS | - If not NULL, set to the list of anchors indexed by anchorSection

### See Also

DMPlexSetAnchors(), DMGetConstraints(), DMSetConstraints()

### Level

intermediate

### Location

src/dm/impls/plex/plex.c
Index of all DMPLEX routines
Table of Contents for all manual pages
Index of all manual pages